    .header {
        text-align: center;
        margin-bottom: 50px;
    }

    .header h1 {
        font-size: 36px;
        color: #1e3a8a;
        margin-bottom: 10px;
    }

    .header p {
        color: #666;
        font-size: 16px;
        max-width: 600px;
        margin: auto;
    }

    .search-box {
        text-align: center;
        margin-bottom: 30px;
    }

    .search-box input {
        width: 100%;
        max-width: 500px;
        padding: 12px 18px;
        border-radius: 30px;
        border: 1px solid #ccc;
        outline: none;
        font-size: 15px;
        transition: 0.3s;
    }

    .search-box input:focus {
        border-color: #1e3a8a;
        box-shadow: 0 0 8px rgba(30, 58, 138, 0.2);
    }

    .grid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        gap: 25px;
    }

    .card {
        background: #4286f4;
        padding: 25px;
        border-radius: 15px;
        box-shadow: 0 5px 15px rgba(0,0,0,0.05);
        transition: 0.3s ease;
        cursor: pointer;
        border: 1px solid #eee;
        color: #ffffff;
        transition: background-color 0.3s ease;
                box-shadow: 0 2px 10px rgba(0, 0, 0, 0.705);
    }

    .card:hover {
        transform: translateY(-5px);
        box-shadow: 0 10px 25px rgba(0,0,0,0.08);
		background-color: red;
        color: yellow;
    }

    .card h2 {
        font-size: 18px;
        color: #eceff6;
        margin-bottom: 10px;
    }

    .card p {
        font-size: 14px;
        color: #0a0404;
    }

    .card a {
        text-decoration: none;
        color: inherit;
        display: block;
        height: 100%;
		color:yellow;

    }

    @media (max-width: 600px) {
        .header h1 {
            font-size: 26px;
        }
    }